extends Control

signal toggleSound
signal toggleVibrate
signal resetText

var hoveringTop = false
var hoveringBot = false
var hoveringEn  = false
var hoveringAt  = false
var hoveringEsp = false


func _ready():
	get_tree().quit_on_go_back = false
	TranslationServer.set_locale(Singleton.lang)


func _notification(what):
	match what:
		NOTIFICATION_WM_GO_BACK_REQUEST:
			get_tree().change_scene_to_file("res://scenes/Settings.tscn")


func _process(delta):
	if hoveringTop and Input.is_action_just_released("left_mouse"):
		toggleSound.emit()

	if hoveringBot and Input.is_action_just_released("left_mouse"):
		toggleVibrate.emit()

	if hoveringAt and Input.is_action_just_released("left_mouse"):
		TranslationServer.set_locale("de")
		Singleton.lang = "de"
		resetText.emit()

	if hoveringEn and Input.is_action_just_released("left_mouse"):
		TranslationServer.set_locale("en")
		Singleton.lang = "en"
		resetText.emit()

	if hoveringEsp and Input.is_action_just_released("left_mouse"):
		TranslationServer.set_locale("esp")
		Singleton.lang = "esp"
		resetText.emit()


func _on_sounds_mouse_entered():
	hoveringTop = true


func _on_sounds_mouse_exited():
	hoveringTop = false


func _on_vibrate_mouse_entered():
	hoveringBot = true


func _on_vibrate_mouse_exited():
	hoveringBot = false


func _on_german_mouse_entered():
	hoveringAt = true


func _on_german_mouse_exited():
	hoveringAt = false


func _on_english_mouse_entered():
	hoveringEn = true


func _on_english_mouse_exited():
	hoveringEn = false


func _on_esperanto_mouse_entered():
	hoveringEsp = true


func _on_esperanto_mouse_exited():
	hoveringEsp = false
